> For the complete documentation index, see [llms.txt](https://docs.soraco.co/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.soraco.co/docs/api-reference/.net-api/qlmlicense/client-side-methods/formatlicensekeyex.md).

# FormatLicenseKeyEx

### Description

Formats a license key by adding dashes to the key, based on the values of groupSize and maxGroupSize.

```csharp
string FormatLicenseKeyEx (string licenseKey, int groupSize, int maxGroupSize)
```

### Arguments

| Name         |                                                                 Description                                                                 |
| ------------ | :-----------------------------------------------------------------------------------------------------------------------------------------: |
| licenseKey   |                                                          the license key to format                                                          |
| groupSize    |                                        the number of characters after which a dash should be inserted                                       |
| maxGroupSize | the maximum number of characters after which a dash should be inserted. Used for the last section of the key after all sections are created |

### Return

| Type   | Description              |
| ------ | ------------------------ |
| string | A formatted license key. |

### Remarks

The QLM License Server automatically formats license keys using the same API. On the server-side, groupSize and maxGroupSize can be configured via the QLM Server Properties.

### Example

```
License Key: BMTP0R0S00GHAJ2K8NDQ171116H9TCB97XQKTBS26M
Group Size: 5
Max Group Size: 9
Formatted Key: BMTP0-R0S00-GHAJ2-K8NDQ-17111-6H9TC-B97XQ-KTBS26M
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.soraco.co/docs/api-reference/.net-api/qlmlicense/client-side-methods/formatlicensekeyex.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
